function[fEq] = matgen(m,n) % Génération des Fi
t = [4/9 1/9 1/9 1/9 1/9 1/36 1/36 1/36 1/36];
c = [[0,0] ; [0,1] ; [-1,0] ; [0,-1]; [1,0]; [-1,1]; [-1,-1]; [1,-1]; [1,1]];

fEq = ones(m,n,9);

rho = ones(m,n);
%rho(round(m/2),round(n/2)) = 1.1;
ux = zeros(m,n); %ux(round(m/2),round(n/2)) = 0.01;
uy = zeros(m,n); %uy(round(m/2),round(n/2)) = -0.01;
ux(1,2:n-1) = 0.1;
u = zeros(2,m,n); u(1,:,:) = uy; u(2,:,:) = ux;

for j = 1 : m
    for k = 1 : n % Calculer les fEq
        u2 = ux(j,k)*ux(j,k)+uy(j,k)*uy(j,k);
        for i = 1 : 9
            uc = ux(j,k)*c(i,2)+uy(j,k)*c(i,1);
            fEq(j,k,i) = rho(j,k)*t(i)*(1 + uc*3 + uc^2*4.5 - u2*1.5);
        end
    end
end