function[MatFin] = parityrule(Mat) % Règle de parité

c = [[0, -1] ; [-1, 0] ; [0, 1] ; [1, 0]]; % Voisinage à tester par décalage de la matrice

m = size(Mat,1); n = size(Mat,2);
MatFin = zeros(m,n);

MatTot = MatFin;
for i=1:size(c,1)
    MatTot = MatTot+circshift(Mat,c(i,:)); % Addiditon des décalages de la matrice
end

for i=1:m
    for j=1:n
        if ~mod(MatTot(i,j),2) % Condition : si la somme des 4 voisins est impaire
            MatFin(i,j) = 1;
        end
    end
end